cURL
curl --request GET \
--url 'https://app.teable.ai/api/base/%7BbaseId%7D/chat/history?type=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"history": [
{
"id": "<string>",
"name": "<string>",
"createdTime": "<string>",
"createdBy": "<string>",
"description": "<string>",
"type": "<string>",
"lastModifiedTime": "<string>"
}
],
"total": 123
}chat
Get base chathistory
Get chat history
GET
/
base
/
{baseId}
/
chat
/
history
cURL
curl --request GET \
--url 'https://app.teable.ai/api/base/%7BbaseId%7D/chat/history?type=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"history": [
{
"id": "<string>",
"name": "<string>",
"createdTime": "<string>",
"createdBy": "<string>",
"description": "<string>",
"type": "<string>",
"lastModifiedTime": "<string>"
}
],
"total": 123
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Last modified on March 5, 2026
Was this page helpful?
⌘I

